If you get the following error message when opening the CLI wallet, follow the steps described below:

An assembly specified in the application dependencies manifest (Kaze-cli.deps.json) was not found:    package: 'Microsoft.AspNetCore.Hosting.Abstractions', version: '2.0.2'    path: 'lib/netstandard2.0/Microsoft.AspNetCore.Hosting.Abstractions.dll'

On Linux and MacOS navigate to the subfolder publish (inside the Kaze-Cli folder) (command line tool) and start the application from here.

cd ../kaze_cli_cp/publish

dotnet Kaze-cli.dll

If you encounter this problem in windows:

  1. Download the multiplatform version
  2. Copy your libleveldb.dll from the Windows version to the publish folder inside the mulitplatfrom version.
  3. Follow the steps described above for Linux and MacOS

If you continue having problems check if .NET Core SDK is installed correctly or contact support in discord:

dotnet new console -o hwapp
cd hwapp
dotnet restore
dotnet run

If you see the final output "Hello World!", The .Net Core installation is successful.

Did this answer your question?